edu.csus.ecs.pc2.api.listener

## Enum ContestEvent.EventType

- java.lang.Object
- - java.lang.Enum<ContestEvent.EventType>
  - - edu.csus.ecs.pc2.api.listener.ContestEvent.EventType

- All Implemented Interfaces:
    Serializable, Comparable<ContestEvent.EventType>
  Enclosing class:
    ContestEvent

      public static enum ContestEvent.EventType
      extends Enum<ContestEvent.EventType>

  This enum identifies the types of configuration change events which can occur.
  Version:
    $Id: ContestEvent.java 1283 2008-02-12 08:30:41Z clevengr $
  Author:
    pc2@ecs.csus.edu

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENT` Client (account) information.
    `CONTEST_CLOCK` Contest Clock.
    `CONTEST_TITLE` Contest title.
    `GROUP` Account (Team) Group.
    `JUDGEMENT` Judgement.
    `LANGUAGE` Contest Language.
    `PROBLEM` Contest Problem.
    `SITE` Site.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ContestEvent.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ContestEvent.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLIENT

          public static final ContestEvent.EventType CLIENT

      Client (account) information.

    - #### PROBLEM

          public static final ContestEvent.EventType PROBLEM

      Contest Problem.

    - #### LANGUAGE

          public static final ContestEvent.EventType LANGUAGE

      Contest Language.

    - #### CONTEST_CLOCK

          public static final ContestEvent.EventType CONTEST_CLOCK

      Contest Clock.

    - #### CONTEST_TITLE

          public static final ContestEvent.EventType CONTEST_TITLE

      Contest title.

    - #### JUDGEMENT

          public static final ContestEvent.EventType JUDGEMENT

      Judgement.

    - #### GROUP

          public static final ContestEvent.EventType GROUP

      Account (Team) Group.

    - #### SITE

          public static final ContestEvent.EventType SITE

      Site.

  - ### Method Detail

    - #### values

          public static ContestEvent.EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ContestEvent.EventType c : ContestEvent.EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ContestEvent.EventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null